zephir-parc - Anomalie #2380

zephir 2.3 et annuaire Idap
11/14/2011 01:27 PM - Thierry Bertrand

Status: Fermé Start date: 11/14/2011
Priority: Normal Due date:

Assigned To: Daniel Dehennin % Done: 100%
Category: Estimated time: 1.00 hour
Target version: Mises a jour 2.3.7 Stable Spent time: 0.25 hour
Distribution: EOLE 2.3

Description

Bonjour,

sur un Zephir 2.3 couplé a un annuaire Idap externe, la présence du caractére / dans le mot de passe empéche tout login.

Cordialement

Related issues:
Related to Distribution EOLE - Anomalie #4466: Warning inquiétants au reconfi... Fermé

Duplicates zephir-parc - Anomalie #165: caractére / dans un mot de passe Fermé

11/21/2012
03/11/2010

Associated revisions

Revision ba3964c¢8 - 10/29/2010 10:10 AM - moyooo

Notification reservation bug on URL see #2380

Revision 976¢993c¢ - 10/08/2012 05:34 PM - Bruno Boiget

surcharge de la classe ServerProxy de xmlrpclib pour résoudre les problémes de mots de passe (fixes #2380)

Revision e30469a2 - 10/08/2012 05:48 PM - Bruno Boiget
appel a eolerpclib.xmirpclib au lieu de xmlrpclib (ref #2380)

Revision 591cc56¢ - 11/15/2012 04:17 PM - Bruno Boiget

correction d'eolerpclib si pas d'utilisateur/mot de passe dans I'URL du serveur xmirpc (fixes #2380)

Revision 9368ecf6 - 11/29/2012 05:28 PM - Bruno Boiget

correction des appels au backend Zéphir avec / dans le mot de passe (fixes #2380)

Revision 224738a0 - 11/30/2012 09:59 AM - Bruno Boiget

correction des appels xmirpc via eolerpclib.py (ref #2380)

History

#1 - 11/14/2011 04:36 PM - Joél Cuissinat

- Assigned To set to Bruno Boiget

Que faire ?
Y'a vraiment pas moyen de les échapper ?

#2 - 11/14/2011 04:36 PM - Joél Cuissinat

- Project changed from Zéphir to zephir-parc
#3 - 12/13/2011 04:19 PM - Joél Cuissinat

- Assigned To changed from Bruno Boiget to Daniel Dehennin

#4 - 12/13/2011 04:37 PM - Daniel Dehennin

D’aprés la documentation python :

Both the HTTP and HTTPS transports support the URL syntax extension for HTTP Basic Authentication: http://user:pass@host:port/path. The
user.pass portion will be base64-encoded as an HTTP ‘Authorization’ header, and sent to the remote server as part of the connection process when
invoking an XML-RPC method. You only need to use this if the remote server requires a Basic Authentication user and password.

Il faut donc faire un encodage/décodage ?

#5 - 10/04/2012 04:13 PM - Joél Cuissinat

- Status changed from Nouveau to Fermé

#6 - 10/04/2012 04:14 PM - Joél Cuissinat

- Status changed from Fermé to A valider

#7 - 10/04/2012 04:15 PM - Joél Cuissinat
- Target version set to Mises a jour 2.3.7 RC

- Estimated time set to 1.00 h
#8 - 10/08/2012 05:34 PM - Bruno Boiget
- Status changed from A valider to Résolu

- % Done changed from 0 to 100

Appliqué par commit zephir-client:976¢993¢c55d96b756ff05b0e147ef2ffceabafb8.

#9 - 10/08/2012 05:48 PM - Bruno Boiget
- Status changed from Résolu to A valider

- % Done changed from 100 to 0

le probléme vient de la librairie xmlrpclib qui ne parse pas correctement l'url dans ce cas.

Résolu par une surcharge de ServerProxy via la librairie eolerpclib (nécessite d'utiliser eolerpclib.xmlrpclib au lieu de la librairie standard)
Les scripts de zephir_client utilisent déja cette version de la librairie

A vérifier avec des versions plus récentes de python (le code semble identique sur eole 2.4 -> python2.7)

#10 - 10/25/2012 09:42 AM - Fabrice Barconniére

- Target version changed from Mises a jour 2.3.7 RC to Mises a jour 2.3.8

#11 - 11/15/2012 04:11 PM - Bruno Boiget

- Target version changed from Mises a jour 2.3.8 to Mises a jour 2.3.7 Stable
http://docs.python.org/library/xmlrpclib.html
http://user:pass@host:port/path
https://dev-eole.ac-dijon.fr/issues/2380
https://dev-eole.ac-dijon.fr/projects/zephir-client/repository/revisions/976c993c55d96b756ff05b0e147ef2ffcea6afb8

#12 - 11/15/2012 04:18 PM - Bruno Boiget
- Status changed from A valider to Résolu

- % Done changed from 0 to 100

Appliqué par commit zephir-client:591cc56c63a1dc63ee0f47d60e1067c1b7665513.

#13 - 11/15/2012 05:09 PM - Bruno Boiget

- Target version changed from Mises a jour 2.3.7 Stable to Mises a jour 2.3.7 RC

#14 - 11/29/2012 11:55 AM - Bruno Boiget

- Status changed from Résolu to A valider

la surcharge provoque des problémes dans les programmes qui importent xmlrpclib

--> messages du type 'RuntimeError: maximum recursion depth exceeded'

#15 - 11/30/2012 10:11 AM - Bruno Boiget

- Status changed from A valider to Résolu

Appliqué par commit zephir-client:9368ecf60dalalc91b0ae80ae96319fc6c6b5133.

#16 - 12/03/2012 02:29 PM - Joél Cuissinat

- Target version changed from Mises a jour 2.3.7 RC to Mises a jour 2.3.7 Stable

#17 - 12/06/2012 12:51 PM - christophe guerinot

qualification Ok

tests effectués avec la version zephir-client 2.3-eole49~7.gbpc1ee60
(a) - connexion via l'interface web (port 8070) ok

(b) - via un client - enregistrement_zephir ok

#18 - 12/06/2012 01:06 PM - Fabrice Barconniére

- Status changed from Résolu to Fermé
https://dev-eole.ac-dijon.fr/projects/zephir-client/repository/revisions/591cc56c63a1dc63ee0f47d60e1067c1b7665513
https://dev-eole.ac-dijon.fr/projects/zephir-client/repository/revisions/9368ecf60da1a1c91b0ae80ae96319fc6c6b5133
http://www.tcpdf.org

